HttpQueryString::set
HttpQueryString::toArray
HttpQueryString
PHP Manual

# HttpQueryString::singleton

HttpQueryString singleton

### Description

static public HttpQueryString HttpQueryString::singleton ([ bool `$global` = true ] )

Get a single instance (differentiates between the global setting).

### Parameters

`global`

  whether to operate on $_GET and $_SERVER['QUERY_STRING']

### Return Values

Returns always the same HttpQueryString instance regarding the global setting.

### Errors/Exceptions

Throws HttpRuntimeException.